Liferay.Loader.define("commerce-product-options-web@3.0.22/CPOptionsEditor.es", ['module', 'exports', 'require', './CPOptionDetail.es', './CPOptionList.es', './CPOptionValuesEditor.es', './CPOptionValueDetail.es', './CPOptionValueList.es', 'frontend-js-web', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', 'frontend-js-metal-web$metal-state', './CPOptionsEditor.soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    require("./CPOptionDetail.es");

    require("./CPOptionList.es");

    require("./CPOptionValuesEditor.es");

    require("./CPOptionValueDetail.es");

    require("./CPOptionValueList.es");

    var _frontendJsWeb = require("frontend-js-web");

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    var _metalState = require("frontend-js-metal-web$metal-state");

    var _CPOptionsEditor = _interopRequireDefault(require("./CPOptionsEditor.soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    /**
     * CPOptionsEditor
     *
     */
    var CPOptionsEditor = /*#__PURE__*/function (_Component) {
      _inherits(CPOptionsEditor, _Component);

      function CPOptionsEditor() {
        _classCallCheck(this, CPOptionsEditor);

        return _possibleConstructorReturn(this, _getPrototypeOf(CPOptionsEditor).apply(this, arguments));
      }

      _createClass(CPOptionsEditor, [{
        key: "created",
        value: function created() {
          this.loadOptions();
          this._handleKeyUpForModal = this._handleKeyUpForModal.bind(this);
        }
      }, {
        key: "_handleAddOption",
        value: function _handleAddOption() {
          this._newOptionName = '';
          this._currentOption = '0';
        }
      }, {
        key: "loadOptions",
        value: function loadOptions() {
          var _this = this;

          var url = new URL(this.optionsURL);
          (0, _frontendJsWeb.fetch)(url).then(function (response) {
            return response.json();
          }).then(function (jsonResponse) {
            _this._options = jsonResponse;

            if (_this._options && _this._options.length > 0) {
              if (!_this._currentOption) {
                _this._currentOption = _this._options[0].cpOptionId;
              }
            } else if (_this._options && _this._options.length == 0) {
              _this._newOptionName = '';
              _this._currentOption = '0';
            }
          });
        }
      }, {
        key: "_handleOptionSelected",
        value: function _handleOptionSelected(cpOptionId) {
          this._currentOption = cpOptionId;
        }
      }, {
        key: "_handleOptionSaved",
        value: function _handleOptionSaved(event) {
          this._currentOption = event.cpOptionId;
          this.loadOptions();

          if (event.success) {
            this._showNotification(this.successMessage, 'success');
          } else {
            this._showNotification(event.message, 'danger');
          }
        }
      }, {
        key: "_handleoptionDeleted",
        value: function _handleoptionDeleted(_event) {
          this._currentOption = null;
          this.loadOptions();
        }
      }, {
        key: "_handleCancelEditing",
        value: function _handleCancelEditing(_event) {
          this._currentOption = null;
          this.loadOptions();
        }
      }, {
        key: "_handleNameChange",
        value: function _handleNameChange(newName) {
          if (this._currentOption == '0') {
            this._newOptionName = newName;
          } else {
            this._newOptionName = '';
          }
        }
      }, {
        key: "_handleKeyUpForModal",
        value: function _handleKeyUpForModal(evt) {
          if (evt.code === 'Escape') {
            this._handleCloseValueEditor();
          }
        }
      }, {
        key: "_handleEditValues",
        value: function _handleEditValues(cpOptionId) {
          this._currentOption = cpOptionId;
          this._showValues = true;
          document.addEventListener('keyup', this._handleKeyUpForModal);
        }
      }, {
        key: "_handleCloseValueEditor",
        value: function _handleCloseValueEditor() {
          this._showValues = false;
          document.removeEventListener('keyup', this._handleKeyUpForModal);
        }
      }, {
        key: "_showNotification",
        value: function _showNotification(message, type) {
          AUI().use('liferay-notification', function () {
            new Liferay.Notification({
              closeable: true,
              delay: {
                hide: 5000,
                show: 0
              },
              duration: 500,
              message: message,
              render: true,
              title: '',
              type: type
            });
          });
        }
      }]);

      return CPOptionsEditor;
    }(_metalComponent.default);
    /**
     * State definition.
     * @type {!Object}
     * @static
     */

    CPOptionsEditor.STATE = {
      _newOptionName: _metalState.Config.string().value(''),
      _options: _metalState.Config.array().value([]),
      namespace: _metalState.Config.string().required(),
      optionURL: _metalState.Config.string().required(),
      optionValueURL: _metalState.Config.string().required(),
      optionValuesURL: _metalState.Config.string().required(),
      optionsURL: _metalState.Config.string().required(),
      pathThemeImages: _metalState.Config.string().required(),
      successMessage: _metalState.Config.string().required()
    }; // Register component

    _metalSoy.default.register(CPOptionsEditor, _CPOptionsEditor.default);

    var _default = CPOptionsEditor;
    exports.default = _default;
    //# sourceMappingURL=CPOptionsEditor.es.js.map
  }
});
//# sourceMappingURL=CPOptionsEditor.es.js.map